MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
sc::Units Class Reference

The Units class is used to perform unit converions. More...

`#include <units.h>`

Inheritance diagram for sc::Units:
[legend]
Collaboration diagram for sc::Units:
[legend]

## Public Types
enum | Storage { Steal, Copy }

## Public Member Functions
| Units (const char *strrep)
| Create using a string representation, like "kcal/mol".
| Units (char *strrep, Units::Storage=Units::Copy)
| Create using a string representation, like "kcal/mol". More...
| Units (StateIn &s)
| Restore the state of a Units object from s.
double | to (const Ref< Units > &u) const
| The conversion factor from this to u.
double | from (const Ref< Units > &u) const
| The conversion factor from u to this.
double | to_atomic_units () const
| The conversion factor from this to atomic units.
double | from_atomic_units () const
| The conversion factor from atom units to this.
const char * | string_rep () const
| The string representation of the units.
void | save_data_state (StateOut &s)
| Save the state of the Units object to s.
Public Member Functions inherited from sc::SavableState
SavableState & | operator= (const SavableState &)
void | save_state (StateOut &)
| Save the state of the object as specified by the StateOut object. More...
void | save_object_state (StateOut &)
| This can be used for saving state when the exact type of the object is known for both the save and the restore. More...
virtual void | save_vbase_state (StateOut &)
| Save the virtual bases for the object. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Member Functions
void | parse_unit ()
Protected Member Functions inherited from sc::SavableState
| SavableState (const SavableState &)
| SavableState (StateIn &)
| Each derived class StateIn CTOR handles the restore corresponding to calling save_object_state, save_vbase_state, and save_data_state listed above. More...

## Protected Attributes
char * | strrep_
double | to_atomic_units_

## Additional Inherited Members
Static Public Member Functions inherited from sc::SavableState
static void | save_state (SavableState *s, StateOut &)
static SavableState * | restore_state (StateIn &si)
| Restores objects saved with save_state. More...
static SavableState * | key_restore_state (StateIn &si, const char *keyword)
| Like restore_state, but keyword is used to override values while restoring. More...
static SavableState * | dir_restore_state (StateIn &si, const char *objectname, const char *keyword=0)

## Detailed Description

The Units class is used to perform unit converions.

## Constructor & Destructor Documentation

sc::Units::Units | ( | char * | strrep,
|  | Units::Storage | = `Units::Copy`
| ) |  |

Create using a string representation, like "kcal/mol".

if Units::Steal is given is the second argment, the new Units object will delete the strrep argument when it is destroyed.

The documentation for this class was generated from the following file:

- units.h